### Method

# Clutter Gesture set_state

#### Declaration [src]

    void
    clutter_gesture_set_state (
      ClutterGesture* self,
      ClutterGestureState state
    )

#### Description [src]

Sets the state of the gesture. This method is private to gesture implementations.

Allowed state transitions are:

- From POSSIBLE into RECOGNIZING, COMPLETED or CANCELLED.
- From RECOGNIZING into COMPLETED or CANCELLED.

This method is not directly available to language bindings.

#### Parameters

`state`

  Type: `ClutterGestureState`

  No description available.